Skip to main content


Technical Requirements for Kronos

The Full version of Kronos requires Java. See Java and Kronos for details.

Cornell technical staff members who are setting up Kronos for others, who don't have a login yet to test with, please use these directions (PDF, 85.5 KB).

Java Support
Kronos Version
Java 7 (32-bit only)
Java 8 (32-bit only)
Kronos (WFC v6.3) Service Pack 14
Currently installed at Cornell
Yes, with Cornell recommendation to be at latest critical update.
Yes, with Cornell recommendation to be at latest critical update

Top

Windows Operating System Support
Kronos version Windows XP SP2
Windows 7
(32- and 64-bit)
Windows 8
(64-bit)
Windows 8.1
(64-bit)
Windows 10
(released July 2015)
Kronos (WFC v6.3) Service Pack 14
Currently installed at Cornell
Yes, but not recommended
Yes Yes Yes No. Vendor testing under way.

Top

Windows Browser Support
Kronos version IE7, 8, 9
(32-bit)
IE10
(32-bit)
IE11 (32- and 64-bit) under Windows 7, 8, 8.1 Firefox
V4+
Chrome Microsoft Edge
Kronos (WFC v6.3) Service Pack 14
Currently installed at Cornell
Yes Yes, but compatibility view ON may be required Yes, but compatibility view ON may be required Yes** No No. Vendor testing under way.

**Note: Due to increased frequency of Firefox releases, and in accordance with the Kronos browser support policy, customers can use new Firefox releases right away. If an issue is found, please report it to the IT Service Desk, who will report it to Kronos as a bug. Be advised that you will likely need to update/reactivate your java plug-in after updating Firefox.

Top

Apple Operating System and Browser Support
Kronos version OSX v. 10.6
Snow Leopard
OSX v. 10.7
Lion
OSX v. 10.8
Mountain Lion
OSX v10.9
Mavericks
OSX v10.10
Yosemite
Kronos (WFC v6.3) Service Pack 14
Currently installed at Cornell
Yes.
Safari 5.x
Yes.
Safari 5.x, 6.x
Yes.
Safari 6.x
Yes.
Safari 7.x
No

Note: Safari is the only supported browser version for Macintosh.

Top